﻿@import url("font/font.css");
@import url("snackbar.css");
@import url("../fontawesome-6.5.1/css/solid.css");

    body {   
        background-color:#EFEFEF;
        margin:0px;padding:0px;/*overflow:hidden;*/
        font-family: Poppins-Regular, sans-serif;  
    }
    .frame{
        width:100%;
        height:90vh;
        /*border:none;*/
        margin:2px -10px 0px 0px;
    }
    .flex_tree{
        display: flex;    
        justify-content: space-around; 
        align-items: center; 
        flex-direction:column; 
        /*flex-wrap: wrap;*/ 
        align-content: flex-start;  
        overflow:scroll;
    }
    .box{
        background-color:white;
        filter: drop-shadow(5px 5px 5px #A7A7A7);
        border-radius:5px;
        min-height:200px;
        padding:10px;
    }
    .flex{
        display: flex;    
        justify-content: space-around; 
        align-items: flex-start; 
        flex-direction: row; 
        /*flex-wrap: wrap;*/ 
        align-content: flex-start;         
    }
    .curseur{
        cursor:pointer;
    }

    select{
        appearance:none;
    }
    .gr{
        font-weight:bold;
    }
    option{
        background-color:#11111D;
    }
    ul, li{
        font-family: Poppins-Regular, sans-serif;  
    }
    li .node {
	    margin: 0;
	    padding: 5px 0px 5px 20px;
	    list-style: none;
	    background-image: url("../image/node.png");
	    background-repeat: no-repeat;
	    background-position: left center;
	    background-size: 15px;
        font-weight:normal;
    }
    input[type="checkbox"]{
        margin-right:10px;
    }
    input[type="text"]{
        margin:0 5px 0 5px;
    }
    .gr input, .node input{
        border:none;
        font-family: Poppins-Regular, sans-serif; 
        font-size:11pt;
    }
    .bandeau{
        background-color:#EFEFEF;
        text-align:center;
        padding:15px;
        margin:-10px -10px 10px -10px;
        /*box-shadow: 7px 7px 5px #050507;*/
        filter: drop-shadow(7px 7px 5px #050507);
    }
    .bandeau img{
        width:12vw;
        margin-top:5px;
    }
    .user{
        display:block;
        margin:17px 0 0 20px;
        font-size:9pt;
        color:#727272;
        font-family: Poppins-Regular, sans-serif;
    }
    .box{
        background-color:white;
        filter: drop-shadow(5px 5px 5px #A7A7A7);
        border-radius:5px;
        min-height:200px;
        padding:10px;
    }
    .select{
        appearance:listbox;
        border:none;
        background-color:transparent;
        height:25px;
    }
    .select option{
        background-color:#A7A7A7;
    }
    .bouton{
        width:20px;
        cursor:pointer;
    }
    .titre{
        width:100%;
        font-family:Copperplate Gothic Bold;
        color:#959595;
        margin-bottom:10px;
        padding:5px 0 5px 0;
        border-bottom:1px solid #959595;
    }
    .flop{
        width:15px;
        margin-left:15px;
    }
/*=============== table header fixed ================*/

/*.tableFixHead {
    overflow-y: auto;
    height: 75vh; 
}
.tableFixHead thead th {
    position: sticky; 
    top: 0px;
}
.liste th {
    background-color:#282934;
    text-align:left;
    font-weight:normal;
    height:2vw;
}*/



/*=============== MENU ================*/
.burger{
    position:absolute;
    top:15px;
    left:20px;
    z-index:100;
}

.container {
  display: inline-block;
  cursor: pointer;
  z-index: 300;
}

.barburgerWhite{
    background-color:white;
}
.barburgerBlack{
    background-color:#333;
}

.bar1, .bar2, .bar3 {
  width: 35px;
  height: 5px;  
  margin: 6px 0;
  transition: 0.4s;
}

.change .bar1 {
  transform: translate(0, 11px) rotate(-45deg);
}

.change .bar2 {opacity: 0;}

.change .bar3 {
  transform: translate(0, -11px) rotate(45deg);
}

.sidenav {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: -1;
  /*top: 60px;*/
  top:0;
  left: 0;
  background-color: #111;
  overflow-x: hidden;
  transition: 0.5s;
  padding-top: 60px;
  /*opacity:0.6;*/
}

.sidenav a {
  padding: 8px 8px 8px 22px;
  text-decoration: none;
  font-size: 25px;
  color: #818181;
  display: block;
  transition: 0.3s;
}

.sidenav a:hover {
  color: #f1f1f1;
}
.menu_full {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: -5;
  top:0;
  left: 0;
  background-color: #111;
  overflow-x: hidden;
  transition: 0.5s;
  padding-top: 10px;
  opacity:0.4;
}

@media only screen and (max-width:800px){
    .sidenav {padding-top: 20vw;}
    .sidenav a {font-size: 7vw;}

    .bandeau img{
        width:40vw;
    }
  
    .burger{
        position:absolute;
        top:10px;
        left:15px;
        z-index:100;
    }
    .user{
        display:none;
    }
}


/*=============== Toggle popup ================*/
.popup {
  position: relative;
  display: inline-block;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* The actual popup */
.popup .popuptext {
  visibility: hidden;
  width: 160px;
  background-color: #555;
  color: #fff;
  text-align: center;
  border-radius: 6px;
  padding: 8px 0;
  position: absolute;
  z-index: 300;  
  top: -5px;
  left:110%;
}

/* Popup arrow */
.popup .popuptext::after {
  content: "";
    position: absolute;
    top: 50%;
    right: 100%;
    margin-top: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: transparent #555 transparent transparent;
    z-index: 300;  
}

/* Toggle this class - hide and show the popup */
.popup .show {
  visibility: visible;
  -webkit-animation: fadeIn 1s;
  animation: fadeIn 1s;
}

/* Add animation (fade in the popup) */
@-webkit-keyframes fadeIn {
  from {opacity: 0;} 
  to {opacity: 1;}
}

@keyframes fadeIn {
  from {opacity: 0;}
  to {opacity:1 ;}
}




